%define major 0
%define apiver 0.1

%define libname %mklibname xfce4menu %{apiver} %{major}
%define develname %mklibname xfce4menu -d

Summary:	A freedesktop.org compliant menu library written for Xfce
Name:		libxfce4menu
Version:	4.6.2
Release:	%mkrel 5
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	gtk+2-devel
BuildRequires:	gtk-doc
BuildRequires:	%{_lib}xfce4util-devel >= 4.8.0
Requires:       glibc >= 2.10.1
Requires:       %{_lib}stdc++6 >= 4.4.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version


%description
A freedesktop.org compliant menu library written for Xfce.
It implements the Desktop Menu Specification version 1.0.

#german
%description -l de
Ein freedesktop.org konforme Menü Bibliothek geschrieben für Xfce. 
Es dient der Umsetzung der Desktop Menu Specification Version 1.0.

#french
%description -l fr
Une bibliothèque freedesktop.org menu conforme écrit pour Xfce. 
Il implémente la version Desktop Menu Specification 1.0.

#spanish
%description -l es
Una colección de freedesktop.org menú compatible escrito para Xfce.
Implementa la versión de escritorio del menú Especificación 1.0.

#polish
%description -l pl
A freedesktop.org compliant menu library written for Xfce.
It implements the Desktop Menu Specification version 1.0.

#serbian
%description -l sr
Фреедесктоп.орг компатибилан мени библиотека написана за Ксфце. 
Она спроводи Десктоп Мени Спецификација верзија 1.0.

#dutch
%description -l nl
Een freedesktop.org compliant menu bibliotheek geschreven voor Xfce. 
Het implementeert de Desktop Menu specificatie versie 1.0.

%package devel
Summary:	Development files for %{name}
Group:		Graphical desktop/Xfce
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description devel
Development files and headers for %{name}.

%package doc
Summary: 	Documentation for openbox
Group: 		Books/Computer books
Requires: 	%{name}

%description doc
Documentation for %{name}


%prep
%setup -q

./autogen.sh --prefix=/usr --enable-maintainer-mode && make clean && make

%build
%define _disable_ld_no_undefined 1

%configure2_5x \
	--disable-static \
	--enable-gtk-doc

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

#Not needed
rm -f %{buildroot}%{_libdir}/*.la


%find_lang %{name}-%{apiver}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_libdir}/*xfce4menu*%{apiver}.so.*
%{_datadir}/gtk-doc/html/libxfce4menu
%_datadir/locale

%files devel
%defattr(-,root,root)
%{_libdir}/libxfce4menu-%{apiver}.so
%{_libdir}/pkgconfig/libxfce4menu-%{apiver}.pc
%{_includedir}/xfce4/libxfce4menu-%{apiver}

%files doc
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS HACKING README STATUS TODO


%changelog
* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 4.6.2-5pclos2012
- rebuilt

* Wed Jan 26 2011 Sproggy <desproggster at gmail.com> 4.6.2-4pclos2011
- update for xfce4.8

* Wed Nov 10 2010 Sproggy <desproggster at gmail.com> 4.6.2-3pclos2010
- 4.6.2 rebuild for xfce4.8pre1

* Sun May 23 2010 Texstar <texstar at gmail.com> 4.6.2-1pclos2010
- 4.6.2

* Wed Oct 07 2009 Neal <nealbrks0@gmail.com> 4.6.1-2pclos2010
- gcc update

* Tue Apr 21 2009 johnnyblack <johnnyblack@inbox.com> 4.6.1-1pclos2009
- 4.6.1

* Sun Apr 05 2009 pcserver <pcserver@hushmail.com> 4.6.0-1pclos2007
- create
